# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution - module extension
#    Copyright (C) 2010- O4SB (<http://openforsmallbusiness.co.nz>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'Product Partner Info',
    'version': '1.0',
    'category': 'Stock',
    'author': 'O4SB',
    'website': 'http://www.openforsmallbusiness.co.nz',
    'depends': ['base', 'product'],
    "description": '''
    This module provides:
        An extra tab in products with which to register Customer or Supplier specific Part Codes
        or names.
        It makes part of product.supplierinfo object in product/product.py redundant and provides a
        migration function to migrate these over (if any exist) - this is accessible from the 
        product.supplierinfo form.
        It makes some departures from the traditional supplierinfo.
            1, Partcodes may only belong to a parent partner.
            2, Both products and product templates can be specified.
            
        Note default functions and reports have not been overridden and left to the user
        These are the 2 fields from product.product code and partner_ref.  This is because
        if you require these then normally it is for specific applications and it is
        difficult to generalise.
    ''',
    'data': ['security/ir.model.access.csv',
             'product_view.xml'],
    'demo': [],
    'test': [],
    'installable': True,
    'active': False,
}